API Reference
Record provenance for a dataset.
cURL
curl --request POST \ --url https://api.example.com/v1/provenance \ --header 'Content-Type: application/json' \ --data ' { "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "simulator": "<string>", "simulator_version": "<string>", "generation_params": {}, "random_seeds": [ 123 ], "content_hash": "<string>", "source_repo": "<string>", "source_commit": "<string>", "host_info": {} } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organization_id": "<string>", "simulator": "<string>", "created_at": "2023-11-07T05:31:56Z", "simulator_version": "<string>", "generation_params": {}, "random_seeds": [ 123 ], "content_hash": "<string>", "source_repo": "<string>", "source_commit": "<string>", "host_info": {} }
Successful Response